opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvRTParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvRTParams:

## Public Member Functions

| CvRTParams ()
| CvRTParams (int _max_depth, int _min_sample_count, float _regression_accuracy, bool _use_surrogates, int _max_categories, const float *_priors, bool _calc_var_importance, int _nactive_vars, int max_num_of_trees_in_the_forest, float forest_accuracy, int termcrit_type)
Public Member Functions inherited from CvDTreeParams
| CvDTreeParams ()
| CvDTreeParams (int _max_depth, int _min_sample_count, float _regression_accuracy, bool _use_surrogates, int _max_categories, int _cv_folds, bool _use_1se_rule, bool _truncate_pruned_tree, const float *_priors)

## Public Attributes

CV_PROP_RW bool | calc_var_importance
CV_PROP_RW int | nactive_vars
CV_PROP_RW CvTermCriteria | term_crit
Public Attributes inherited from CvDTreeParams
CV_PROP_RW int | cv_folds
CV_PROP_RW int | max_categories
CV_PROP_RW int | max_depth
CV_PROP_RW int | min_sample_count
const float * | priors
CV_PROP_RW float | regression_accuracy
CV_PROP_RW bool | truncate_pruned_tree
CV_PROP_RW bool | use_1se_rule
CV_PROP_RW bool | use_surrogates

## Constructor & Destructor Documentation

CvRTParams::CvRTParams | ( |  | ) |

inline

CvRTParams::CvRTParams | ( | int | _max_depth,
|  | int | _min_sample_count,
|  | float | _regression_accuracy,
|  | bool | _use_surrogates,
|  | int | _max_categories,
|  | const float * | _priors,
|  | bool | _calc_var_importance,
|  | int | _nactive_vars,
|  | int | max_num_of_trees_in_the_forest,
|  | float | forest_accuracy,
|  | int | termcrit_type
| ) |  |

inline

## Member Data Documentation

CV_PROP_RW bool CvRTParams::calc_var_importance

CV_PROP_RW int CvRTParams::nactive_vars

CV_PROP_RW CvTermCriteria CvRTParams::term_crit

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp